Subject: RE: [dhcwg] I-D ACTION:draft-ietf-dhc-leasequery-07.txt

From: Kim Kinnear <[email-masked]>
Date: Wed, 24 Mar 2004 19:14:42 -0500

Andre,

Good questions.  Thomas Narten developed quite a number of issues
with this draft, and we have attempted to address them as best
we could.  You've reminded me that I should send out a list of all
of the changes to the list, which I managed to forget to do.

Anyway, to answer your questions, indented, below...

At 05:23 PM 3/24/2004, Kostur, Andre wrote:

>Questions: 
>
>Section 6.2: 
>
>      o The Parameter Request List option (option 55) SHOULD be set to 
>        the options of interest to the requester.  The interesting 
>        options are likely to include the IP Address Lease Time option 
>        (option 51), the Relay Agent Information option (option 82) and 
>        possibly the Vendor class identifier option (option 60).  In the 
>        absence of a Parameter Request List option, the server SHOULD 
>        return the same options it would return for a DHCPREQUEST 
>        message which didn't contain a DHCPLEASEQUERY message, which 
>        includes those mandated by [RFC 2131, Section 4.3.1] as well as 
>        any options which the server was configured to always return to 
>        a client. 
>
>Curious why this particular clause got added.  Under the previous drafts, the client asked for whatever options they were interested in, and that's that.  With this, the Leasequery would be answering with possibly a whole bunch of extra stuff.  I don't see why this shouldn't be a MUST (as in, the requestor MUST supply a Parameter Request List for the options that it is interested in.  With no request list, the reqestor would get the Active/Unassigned/Unknown indication and CHADDR, but that's it).

        Hmmm.  We seem to have added that clause for the first
        time in the -04 draft.  It isn't new this time, and I
        don't actually remember why we added it.  Seemed to make
        sense at the time (as in the "why not?" kind of sense) so
        I at least didn't see any reason to argue about it.

        I still don't see anything wrong with it.  If you care
        enough to send a leasequery, you probably care enough to
        send a parameter-request-list, so to a first
        approximation, anyone who has their head screwed on
        tightly will send a parameter request list.  So, if the
        default behavior is at least adequate (which I think this
        is), it seems like it isn't worth a lot of time to try to
        optimize it -- not least because one person's
        optimization is not necessarily another's.

>Section 6.4: 
>
>      o DHCPUNIMPLEMENTED 
>
>        The DHCPUNIMPLEMENTED response to the DHCPLEASEQUERY message 
>        indicates that DHCPLEASEQUERY is not implemented by this DHCP 
>        server. 
>
>        The DHCPUNIMPLEMENTED message can apply to any unimplemented 
>        messages, and MAY be used to respond to messages other than 
>        DHCPLEASEQUERY. 
>
>Since according to this draft, all servers are required to implement all three query types, why is DHCPUNIMPLEMENTED listed in here? 

        In case you don't implement leasequery at all.  Or in
        case you implement it and don't want to answer about it
        right now.

        Cheers -- Kim

> Shouldn't that be it's own draft, since it no longer has anything to do with leasequery (directly)? 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Kim Kinnear <[email-masked]>
Date: Wed, 24 Mar 2004 19:54:04 -0500

Folks,

Be very careful when replying to the message that Andre sent
recently about the leasequery draft.  In particular, do *not*
reply-all to it, or to my message in response to his.

His original message included [email-masked] in the
address list, and I inadvertently propagated this mistake.

Thanks -- Kim